<template>
  <section class="r-section">
    <h3 class="r-section__title">Experience</h3>
    <ul class="r-section__list">
      <li
        class="r-section__establishment r-section__row"
        v-for="establishment in experience"
        :key="establishment.id"
      >
        <div class="r-section__column">
          <!-- POSITION -->
          <p class="r-section__establishment-position">
            {{ establishment.position }}
          </p>

          <!-- PERIOD -->
          <p class="r-section__establishment-period">
            {{ establishment.period }}
          </p>
        </div>
        <div class="r-section__column">
          <!-- NAME -->
          <p class="r-section__establishment-name">{{ establishment.name }}</p>

          <!-- DESCRIPTION -->
          <div class="r-section__establishment-description">
            <ul class="r-section__list">
              <li
                class="r-section__item"
                v-for="item in establishment.description"
                :key="item"
              >
                {{ item }}
              </li>
            </ul>
          </div>
        </div>
      </li>
    </ul>
  </section>
</template>

<script>
export default {
  name: 'ResumeExperience',
  props: {
    experience: {
      type: Array,
      required: true
    }
  }
}
</script>
